 
@import url('https://fonts.googleapis.com/css2?family=Space+Mono:ital,wght@0,400;0,700;1,400;1,700&display=swap');

h1 {
	margin-top: 10%;
  margin-left:4%;
	margin-right: 4%;
}


  html {
    cursor: circle blue;
  }

  #searchInput{
    position: relative;
  }
  
spell[modern]::before {
  content: attr(modern);
}

spell[modern]::after {
  content: attr(orig);
  font-style: italic;
}

spell[modern] {
  display: inline-block;
  text-decoration: none;
	
}

spell[orig]::before, spell[modern]::after {
  display: none;
}

spell[orig]:not(:hover)::before, spell[modern]:hover::after {
  display: block;
}

spell {
 color: #242424;
 text-decoration: none;
}

spell:focus {
	color: white;	
}

spell:visited {
	color: white;	
}

spell:active {
	color: white;	
}
spell:hover {
	color: white;	
	font-style: italic;
}
 
.topnav { 
	margin-top: 0%;
	margin-left: 6px;
	
	color: #1ae3de;
	text-decoration: none;
	border-bottom:  1px solid #0E0E0E; 
	padding-top: 1.5%; 
	padding-bottom: 1.7%; 
	vertical-align:middle; 
	font-weight: 500; 
	text-align: left; 
	
}

.archive { 
	margin-top: 0%;
	font-size: 22px; 
  font-family: "AllianceNo1";
	font-weight: 500;
	color: #1ae3de;
	text-decoration: none; 
}

.archive:active {
	color: white;	
	text-decoration: none;
}

.archive:visited {
	text-decoration: none;
	color: white;	

}


.archive:hover {
	color: white;	
	text-decoration: none; 
}

.archive:focus {
	color: white;	
	text-decoration: none;
}

 


/* LISTA CSS */ 


.filter{ 
  font-family: "suisse-bold";
  cursor: pointer;
  display: inline-block;  
  border-style:solid; 
  border-width: 1.5px; 
  border-color: white;
  padding: 7px; 
  border-radius: 20px ; 
  margin-bottom: 5px;
  font-size: 17px;
  font-weight: 400; 
  position: relative;
  color: white;
  background-color: transparent; 
  outline: none;
}

#models-refine #reset:hover {
  color: aqua; /* Define a cor do texto como aqua no hover */
  cursor: pointer; /* Mostra o cursor como uma mãozinha para indicar que é clicável */
}


.filter:active {
  display: inline-block;  
  border-style:solid #c2d8d8; 
  border-width: 1.5px; 
  border-color: #c2d8d8;
  padding: 7px; 
  border-radius: 20px ; 
  margin-bottom: 5px;
  font-size: 17px;
  font-weight: 400; 
  font-family: "suisse-bold";
  position: relative;
  color: #1ae3de;
  background-color: #cecece4f;
  outline: none;
}

.filter:visited {
 display: inline-block;  
  border-style:solid; 
  border-width: 1.5px; 
  border-color: #c2d8d8;
  padding: 7px; 
  border-radius: 20px ; 
  margin-bottom: 5px;
  font-size: 17px;
  font-weight: 400; 
  font-family: "suisse-bold";
  position: relative;
  color: #1ae3de;
  /* background-color: #; outline: none; */
}
.filter:hover {
  display: inline-block;  
  border-style:solid; 
  border-width: 1.5px; 
  border-color: #c2d8d8; 
  padding: 7px; 
  border-radius: 20px ; 
  margin-bottom: 5px;
  font-size: 17px;
  font-weight: 400; 
  font-family: "suisse-bold";
  position: relative;
  color: #1ae3de;
  background-color: #cecece4f;  
  outline: none;

}
.filter:focus{
  display: inline-block;  
  border-style:solid; 
  border-width: 1.5px; 
  border-color: #c2d8d8;
  padding: 7px; 
  border-radius: 20px ; 
  margin-bottom: 5px;
  font-size: 17px;
  font-weight: 400; 
  font-family: "suisse-bold";
  position: relative;
	color: #1ae3de;
  background-color: #cecece4f;  
  outline: none;
}
  
  #btnContainer {
	  float: right; 
	  display: inline; 
	  margin-top: 50px;

}

  .btn {
	  border: none; 
    cursor: pointer;
	  background-color: transparent; 
    font-family: "Space Mono", monospace;
	  color: white;
	  font-size: 1.5vw; 
	  font-weight: bold; 
	  outline: none; 
	  margin-top: 25px;
	   /*margin-bottom: 1.5vh; /*linha menu*/
}
  .btn:visited {
	  border: none; 
	  background-color: transparent; 
	  color: aqua;
	  outline: none;
}
  .btn:active {
	  border: none; 
	  background-color: transparent; 
	  color: aqua;
	  outline: none;
}
  .btn:hover {
	  border: none; 
	  background-color:transparent; 
	  color: aqua;
	  outline: none;
}
   .btn:focus{
	color: aqua;
}
 

  #website:hover {
	  border: none; 
	  background-color:transparent; 
	  color: aqua;
	  outline: none;
}
  #website:focus{
	color: aqua;
}
 
  #text:hover {
	  border: none; 
	  background-color:transparent; 
	  color: #d3f0ef;
	  outline: none;
}
  #text:focus{
	color: #d3f0ef;
}

  #models-refine { 
	  display:none; 
	  margin-top: 0%;
}
  #genre-refine  { 
	  display:none; 
}
  #subject-refine { 
	  display:none; 
}
  
  #btnFilter div {
    display: none;
	margin-left: none;
  
  }
 
  #btnFilter.fixed {
    width: 40%;
}



#models{
margin-left: 22%;

}
 
#subject {
	margin-left: 1em;}

#key {
	margin-left: 1em;} 

#website {
	margin-left: 1em; 
	color: #1ae3de;
    float: right;
}

#tags {
	margin-left: 1em;}

#text {
	margin-left: 1em;
	color:#1ae3de;
    float: right;
}

#reset {
	display: inline-block;
	border: none;
	font-size:1vw;
	color: #1ae3de;
	font-weight: 200;
	margin-left: 6px;
	background-color: transparent;
}

#resett{
	display: inline-block;
	border: none;
	font-size:4vw;
	color: #ffffff;
	font-weight: 200;
	margin-left: 10%;
	background-color: transparent;
}

#resett:hover{
  color: #1ae3de;
}

#reset:visited {
	border: none;
	font-size:1vw; 
	color: #c6ecec;  
	font-weight: 200;
	margin-left: 6px;
	background-color: transparent;
}

#reset:focus {
	border: none;
	color: #c6ecec; 
	font-weight:400;
	background-color: transparent;
}

#reset:hover {
	background-color: transparent;
	color: #c6ecec; 
	font-weight:400;
	
}

#reset:active {
	background-color: transparent;
	border: none;
	font-size:1vw;
  font-family: "Space Mono", monospace; 
	color: #c6ecec;  
	font-weight: 200;
	margin-left: 6px;
}



 
  
.by {
	font-size:0.9vw;
  font-family: "Space Mono", monospace;
	color: white;
	margin-top: 0;
	font-weight: 200;
	margin-left: 6px;
	background-color: transparent;	
	display: inline-block;
	
} 

  .index_entry { 
    font-family: "suisse-bold";
    font-size: 1.1vw;
	  padding-bottom:0.2%; 
	  padding-top:0.2%; 
	  border-bottom: solid 1px; 
	  border-bottom-color: #1ae3de; /*mudar cor borda */
} 

.index_entry:first-child {
  border-bottom: solid 2px;
  font-family: "Space Mono", monospace;
  font-weight: bold;
 font-size: 1.2vw;
}

#text, #website{
  display: none;
}
.no-expand {
  pointer-events: none; /* Desativa todos os eventos do mouse */
  /* Ajuste conforme necessário para diferenciar visualmente */
}

.no-expand .item-expand {
  display: none; /* Garante que o item-expand não seja mostrado */
}

/* Se quiser desativar apenas o hover */
.no-expand:hover {
  background-color: initial; /* Mantém a cor de fundo original */
  cursor: default; /* Mantém o cursor padrão */
}

.grid-row {
    display: grid;
    grid-template-columns: 6% 18% 52% 12% 10%;
    grid-gap: 0px 0px;
    grid-column: 1 / 5;
    vertical-align: middle; 
    margin-top:1.5px; 
    transform-origin: top;
    overflow: hidden;
  
}


.grid-row.active {
    animation:  0.5s ease-in-out forwards;
}

.grid-entry-expand {
    grid-column: 1 / 5;
}
  
  .index_header {
    font-family: "suisse-bold";
	color: #1ae3de;
    padding-bottom: 0%;
  
  }

  .index_data {
	  margin-left: 6px;
  
}
  
#searchInput{
  background-color: #2d323268;
}

#searchInput::placeholder {
  color: white;

}

#searchInput {
  color: white; /* Muda a cor do texto digitado */
}

#searchInput:focus {
  border-color: white; /* Mantém a mesma borda ao clicar */
  outline: none; /* Remove borda branca/preta padrão ao clicar */
}

  .index_data .grid-row:hover {
    /* font-style: italic; */
	  color: white;
	  background-color: #1ae3e015;
	  cursor: crosshair; 
  }
  
  .grid-row .item-expand {
    grid-column: 1 / 5;
    height: 0;
    background-color: transparent;
    transition: height 0.5s ease-in-out;
    transform-origin: top;
    overflow: hidden;
}

  
  .grid-row .item-expand:checked {
    
    grid-column: 1 / 5;
    margin: 2em;
  } 
  .grid-row .item-expand img {
    height: fit-content;
    display: inline-block;
  }
  
  .grid-row .item-expand.active {
    height: fit-content;
    margin-left: 5%;
    transition: height 0.5s ease-in-out;
    animation: slideDown 0.5s ease-in-out forwards;
}

#content2{
  font-size: 1.1vw;
  margin-top: 5%;
  font-family: "AllianceNo1";
}
#content1{
  font-family: "AllianceNo1";
  margin-top: 5%;
  width: 63vw;
  font-size: 1.2vw;
}
  
  #index_list {
    width: 100%; 
	 margin-top: 5%;
	  font-size: 20.5px; 
	  font-weight: 400; 
	  z-index: -1;
    color: #1ae3de;
  }
  
  .grid-container {
	  margin-left: 0.25%;
    width: 100%;
  }
  
  .container {
    position: absolute;
    width: 100%;
    /* margin-left: ; */
    margin-top: 20vh;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
  }
  
.main_index_style {
	font-size: 23px;
}
  
  .md .lg .sm .nd .ne{
    font-family:'space-Mono', sans-serif; 
	  color: #1ae3de;
	  vertical-align: middle;
	  font-size: 1vw; 
	  font-weight: 600;  
  }

/* expo*/

  .index_entry:first-child .md:hover,
  .index_entry:first-child .lg:hover,
  .index_entry:first-child .sm:hover,
  .index_entry:first-child .nd:hover,
  .index_entry:first-child .ne:hover {
    color: white;
    cursor: pointer; /* opcional, se você também desejar o efeito pointer */
  }


  .index_entry:first-child .grid-row:hover {
    color: aqua !important;
    background-color: transparent !important;
    cursor: default !important;
  }


  
  .md{
    margin-left: 35%;
  }

 .lg{
  width: 25vw;
 }
.ne{
  margin-left: -20vw;
}

.nd{
  margin-left: -10vw;
}


.expand-content .a {
  display:inline-block;
	width: 100%;
	color: #1ae3de;
}

#expand-template {
	width: 100%;
}

.flex-item {
margin-top: 2vh;
margin-bottom: 2vh;
font-weight: 400;
}
	
.source {
	font-size: 14px;
	font-weight: 320;
}

#content1 {
  padding-right: 2vw;
  float: left;
  color: #1ae3de; 

  font-weight: 380;
}

#content1 a {
	color:#1ae3de;
	font-weight: 300;
   
}




#content2 {
width: 100%;
align-content: inline;;
margin-right: 0;
}

.grid-row .item-expand.active img{
display: inline;
width: 15%;
height: auto;
}

#content1 a:hover { 
color: white}

 






.rotated-text {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) rotate(90deg);
  white-space: nowrap;
  font-size: 16px; /* Ajuste o tamanho da fonte conforme necessário */
  font-weight: bold; /* Ajuste o peso da fonte conforme necessário */
}

.automenu{
  width: 100%;
  min-height: 10%;  
  border-bottom: 2px solid #1ae3de;
}

.contentt{
  width: 93%;
  height: 100%;
}

#pink-div.visible {
  right: 0; /* Move para a posição visível */
}

.diagonal {
  width: 7%;
  height: 100%;
  border-style:solid; 
  border-left: 2px;
  border-top: none;
  position: relative;
}


.item-expand {
  display: none;
}

.item-expand.active {
  display: block;
}



#searchInput{
  width: 15vw; padding: 10px; border: 2px solid white; border-radius: 24px; margin-top: 2%; box-shadow: 2px 2px 10px rgba(210, 226, 226, 0.411); cursor: pointer;
}
#reset{
  font-size: 2.5vw; color: white;
}


/*media screen */

@media screen and (max-width: 600px) {
.btn {
  display: inline;
  margin: 0 10 10 0; 
  padding: 0;
  float: left;
  text-align: left;
   font-size: 2.75vw;

  }
}

@media screen and (max-width: 600px) {
 .filter{
 padding: 3px;
  margin: 0 0 0 0 ; 
  font-size: 2.7vw;
 
  
  }
}


@media screen and (max-width: 1000px) {
  .grid-container{
   display: inline-block; 
   font-size: 2vw;
   grid-template-columns: 6%  64% 10% 20%;
  }
}

@media screen and (max-width: 600px) {
  .expand-content {
   display: inline-block; 
   font-size: 3vw;
   width: 100%;
  }
}



@media screen and (max-width: 600px) {
#reset {

   font-size: 2.3vw;

  }
	.by {

   font-size: 2.3vw;

  }
}



@media screen and (max-width: 830px) {
h1 {
	margin-top: 70%;
  margin-left:4%;
	margin-right: 4%;
}

#data-table{
  margin-top: 10%;
  margin-bottom: 20%;
}


.btn {
  border: none;
  cursor: pointer;
  background-color: transparent;
  font-family: "Space Mono", monospace;
  color: white;
  font-size: 6vw;
  font-weight: bold;
  outline: none;
  margin-top: 25px;

}

#searchInput{
  width: 50vw; padding: 10px; border: 2px solid white; border-radius: 60px; margin-top: 5%; box-shadow: 2px 2px 10px rgba(210, 226, 226, 0.411); cursor: pointer; height: 6vh; margin-left: 20%;
  font-size: 5vw;
}

#searchInput::placeholder{
  font-size: 5vw;
  height: 6vh;
}


.filter{ 
  font-family: "Space Mono", monospace;
  cursor: pointer;
  display: inline-block;  
  border-style:solid; 
  border-width: 3px; 
  border-color: #c2d8d8;
  padding: 10px; 
  border-radius: 50px ; 
  margin-bottom: 5px;
  font-size: 5vw;
  font-weight: 400; 
  position: relative;
  color: white;
  background-color: transparent; 
  outline: none;
}

.filter:active {
  display: inline-block;  
  border-style:solid #c2d8d8; 
  border-width: 3px; 
  border-color: #c2d8d8;
  padding: 10px; 
  border-radius: 50px ; 
  margin-bottom: 5px;
  font-size: 5vw;
  font-weight: 400; 
  font-family: "Space Mono", monospace;
  position: relative;
  color: #1ae3;
  background-color: #cecece4f;
  outline: none;
}

.filter:visited {
 display: inline-block;  
  border-style:solid; 
  border-width: 3px; 
  border-color: #c2d8d8;
  padding: 10px; 
  border-radius: 50px ; 
  margin-bottom: 5px;
  font-size: 5vw;
  font-weight: 400; 
  font-family: "Space Mono", monospace;
  position: relative;
  color: #1ae3;
  /* background-color: #; outline: none; */
}
.filter:hover {
  display: inline-block;  
  border-style:solid;  
  border-width: 3px; 
  border-color: #c2d8d8;
  padding: 10px; 
  border-radius: 50px ; 
  margin-bottom: 5px;
  font-size: 5vw;
  font-weight: 400; 
  font-family: "Space Mono", monospace;
  position: relative;
  color: #c2d8d8;
  background-color: #cecece4f;  
  outline: none;

}
.filter:focus{
  display: inline-block;  
  border-style:solid; 
  border-width: 3px; 
  border-color: #c2d8d8;
  padding: 10px; 
  border-radius: 50px ; 
  margin-bottom: 5px;
  font-size: 5vw;
  font-weight: 400; 
  font-family: "Space Mono", monospace;
  position: relative;
  color:#c2d8d8;
  background-color: #cecece4f;  
  outline: none;
}

#reset {
	display: inline-block;
	border: none;
	font-size:5vw;
	color: #1ae3de;
	font-weight: 200;
	margin-left: 6px;
	background-color: transparent;
}

 .by {

  font-size: 5vw;
margin-top: 10%;
margin-bottom: 5%;
 }

 .archive { 
	margin-top: 0%;
	font-size: 5vw; 
  font-family: "AllianceNo1";
	font-weight: 500;
	color: #1ae3de;
	text-decoration: none; 
}

.index_entry:first-child {
  border-bottom: solid 2px;
  font-family: "Space Mono", monospace;
  font-weight: bold;
 font-size: 3vw;
}




#content1 {
  font-family: "AllianceNo1";
    margin-top: 5%;
    width: 65vw;
    font-size: 4vw;
}

#content2 {
  font-size: 4vw;
  margin-top: 5%;
  font-family: "AllianceNo1";
}
.grid-row .item-expand.active {
  height: fit-content;
  margin-left: 15%;
  transition: height 0.5s ease-in-out;
  animation: slideDown 0.5s ease-in-out forwards;
}


#reset {
	display: inline-block;
	border: none;
	font-size: 10vw;
	color: #1ae3de;
	font-weight: 200;
	margin-left: 6px;
	background-color: transparent;
}

#resett{
	display: inline-block;
	border: none;
	font-size:20vw;
	color: #ffffff;
	font-weight: 200;
	margin-left: 10%;
	background-color: transparent;
}



}

